//
//  SCVMAPAdController.h
//  SmartclipSDKiOS
//
//  Copyright © 2021 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <SmartclipSDKiOS/SCSimpleAdController.h>
#import <SmartclipSDKiOS/SCOmidEventLoggingDelegate.h>

NS_ASSUME_NONNULL_BEGIN

///SCVMAPAdControllerDelegate extends SCAdControllerDelegate
@protocol SCVMAPAdControllerDelegate <SCAdControllerDelegate>
@required
- (nullable NSURL*)contentVideoURL;
- (nullable SCAdEnvironment*)environmentVarsWith:(NSString*)adBreakType;
@end

/**
 Class to make VMAP playlist playback easier (uses SCSimpleAdController as a base class)
 */
@interface SCVMAPAdController : SCSimpleAdController
@property (nonatomic, weak) id<SCVMAPAdControllerDelegate> _Nullable delegate;
@end

NS_ASSUME_NONNULL_END
